LFR-FSW - Bug #85

TC_LFR_LOAD_NORMAL_PAR: SY_LFR_N_ASM_P, SY_LFR_N_BP_P0O et, SY_LFR_N_BP_P1=0
acceptés

12/03/2014 10:35 AM - Gerald Saule

Status: Closed Start date: 12/03/2014
Priority: Immediate Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r104

Description

Le LFR FSW accepte des périodes nulles. Ce n'est pas interdit par I''CD; néanmoins, le comportement associé est indéfini.

09:51:24.915628, TC_LFR_LOAD_NORMAL_PAR, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P = 300(s),
SY_LFR_N_ASM_P = 0(s), SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s)
09:51:24.918065, TM_LFR_TC_EXE_SUCCESS

09:51:25.116246, TC_LFR_LOAD_NORMAL_PAR, SY_LFR_N_SWF L = 2048, SY_LFR_N_SWP_P = 300(s),
SY_LFR_N_ASM_P = 4(s), SY_LFR_N_BP_PO0 = 0(s), SY_LFR_N_BP_P1 = 20(s)
09:51:25.119052, TM_LFR_TC_EXE_SUCCESS

09:51:25.320007, TC_LFR_LOAD_NORMAL_PAR, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P = 300(s),

SY_LFR_N_ASM_P = 4(s), SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 0(s)
09:51:25.321911, TM_LFR_TC_EXE_SUCCESS

Contexte:

LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-lfr_0.0.0.15

Soft: 1.0.0.2 (variante sur carte finale) = r104

Brique Brique Star-Dundee S/N 46120065.

TEST CASE associé(s) = SVS-0029.

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

Related issues:
Related to Bug #167: TC_LFR_LOAD_NORMAL_PAR avec SY_LFR_N_BP_PO0 = 0 fait plan... Closed 11/06/2014

History

#1 - 12/03/2014 10:36 AM - Gerald Saule

Gerald Saule wrote:
Le LFR FSW accepte des périodes nulles. Ce n'est pas interdit par I''CD; néanmoins, le comportement associé est indéfini.

09:51:24.915628, TC_LFR_LOAD_NORMAL_PAR, SY LFR_N_SWF L = 2048, SY LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 0(s)
,SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s)
09:51:24.918065, TM_LFR_TC_EXE_SUCCESS

09:51:25.116246, TC_LFR_LOAD_NORMAL_PAR, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 4(s),
SY_LFR_N_BP_PO0 = 0(s), SY_LFR_N_BP_P1 = 20(s)
09:51:25.119052, TM_LFR_TC_EXE_SUCCESS

09:51:25.320007, TC_LFR_LOAD_NORMAL_PAR, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 4(s),

SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 0(s)
09:51:25.321911, TM_LFR_TC_EXE_SUCCESS
Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-Ifr_0.0.0.15
Soft: 1.0.0.2 (variante sur carte finale) = r104

Brique Brique Star-Dundee S/N 46120065.
TEST CASE associé(s) = SVS-0008.

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

#2 - 02/05/2014 03:38 PM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to bruno katra

fsw >=1.0.0.6
Les paquets ASM et BP étant maintenant généré dans tous les modes, les parameétres associés sont vérifiés. Les tentatives d'affectations suivantes

SY_LFR_N_ASM_P =0
SY LFR_ N BP P0=0
SY_LFR_N_BP _P1=0

renvoient des paquets TM_LFR_TC_EXE_ERROR_INCONSISTENT

#3 - 11/06/2014 04:16 PM - bruno katra
- Status changed from Resolved to Feedback
- Assignee changed from bruno katra to paul leroy

- Priority changed from Low to Immediate

Retesté en 1.0.0.8 :

SY_LFR_N_ASM_P =0
SY LFR_ N_BP P1=0
sont acceptés alors que cela devrait généré TM_LFR_TC_EXE_ERROR_INCONSISTENT

15:51:59.732976, TC_LFR_LOAD_NORMAL_PAR, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 0(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s)
15:51:59.735421, TM_LFR_TC_EXE_SUCCESS

15:30:54.101723, TC_LFR_LOAD_NORMAL_PAR, SY LFR_N_SWF L = 2048, SY LFR_N_SWP_P =300(s), SY_LFR_N_ASM_P = 3600(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 0(s)
15:30:54.104649, TM_LFR_TC_EXE_SUCCESS

Aussi :

SY_LFR_N_BP_PO = 0 fait maintenant planter le soft de vol (Plus d'ack envoyé) : ouverture d'une issue séparée pour traiter ce bug.

#4 - 12/06/2014 08:40 AM - paul leroy
- Status changed from Feedback to Resolved

- Assignee changed from paul leroy to bruno katra

fsw >=1.0.0.9

tests ajoutés sur les parameétres
sy_lfr_n_asm_p
sy_lIfr_n_bp_p0

sy_lfr_n_bp_p1

sy_lfr_b_bp_p0

sy_lfr_b bp_p1
sy_lfr_s1_bp_p0
sy_lfr_s1_bp_p1
sy_lfr_s2_bp_p0
sy_lfr_s2_bp_p1

Les valeurs inféieures a la valeur par défaut sont interdites.

#5 - 13/06/2014 02:12 PM - bruno katra

- Assignee changed from bruno katra to paul leroy

retesté en 1.0.0.9 : le bug est bien corrigé pour SY_LFR_N_BP_P1=0:

13:56:23.743874, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET = 1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=9039, (PACKET_SEQUENCE_CONTROL=0xe34f), PACKET LENGTH=15, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=0, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=0, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS_1 = 13,
SOURCE_ID: MISSION_TIMELINE = 110, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 3600(s),
SY_LFR_N_BP_PO0 = 4(s), SY_LFR_N_BP_P1 = 0(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = 0x99d3

13:56:23.746229, TM_LFR_TC_EXE_INCONSISTENT

MAIS est toujours présent pour SY_LFR_N_ASM_P=0:

13:45:24.218779, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TC_PACKET =1,

DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=6122, (PACKET SEQUENCE_CONTROL=0xd7ea), PACKET LENGTH=15, CCSDS_SECONDARY_ HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=0, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=0, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS 1 = 13,
SOURCE_ID: MISSION_TIMELINE = 110, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 0(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = Oxea6e

13:45:24.222073, TM_LFR_TC_EXE_SUCCESS

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Ill (sans connecteurs sub-click)
Vhdl: mini-lfr_0.1.16
Soft: 1.0.0.9

Brique Brique Star-Dundee S/N 46120065.
Script = SY_LFR_N_ASM-BP_P1_acceptance.py dans SVS-0008.

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

#6 - 17/06/2014 10:24 AM - paul leroy

- Assignee changed from paul leroy to bruno katra

fsw >=1.0.0.10

Les trois affectations suivantes sont rejetées (TM_LFR_TC_EXE_INCONSISTENT):
SY LFR N ASM P=0

SY_LFR_N_BP_P0 =0

SY_LFR_N_BP P1=0

#7 - 17/06/2014 12:18 PM - bruno katra

- Status changed from Resolved to Closed

retesté en 1.0.0.10, bug corrigé :

12:14:43.246055, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TC_PACKET =1,

DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=12568, (PACKET_SEQUENCE_CONTROL=0xf118), PACKET LENGTH=15, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=0, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=0, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS 1 = 13,
SOURCE_ID: MISSION_TIMELINE = 110, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 0(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF _LONG _F3 = 0, SPARE=0x0, CRC = 0x949¢
12:14:43.248489, TM_LFR_TC_EXE_INCONSISTENT

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-lfr_0.1.16

Soft: 1.0.0.10

Brique Brique Star-Dundee S/N 46120065.

Script = SY_LFR_N_ASM-BP_P1_acceptance.py dans SVS-0008.

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1
